Skip to main content

SuperSLiM version 0.4.10.1 released

SuperSLiM v0.4.10.1 is now available.

Sorry, I've been lax announcing updates recently. I'll make sure to keep on top of it from now on. Also, I'd like to thank all of you who have been contributing to the project. Your pull requests and issues really help the project along. For those of you who have generously donated, your support is very much appreciated.

Work on version 0.5 has been continuing, though it has been slow due to other commitments. Due in version 0.5 is a new adapter API with robust data change support, subsections, and header elevation controls. Most of the API difference is a change to declaring the section graph ahead of time, rather than indirectly through header/section layout parameters. Don't worry, you'll still be able to configure parts of SuperSLiM through layout parameters, but section type, and section indices are loaded through the section graph, and changes to it are tracked through your data change notifications.

Version 0.4.10.1

GitHub
Maven


Changelog

v0.4.10.1

  • Remove unneeded library drawables (default launcher icons) (#80) -@kingargyle.

v0.4.10

  • Add static factory method to preserve margin layout parameters (#73) -@adi1133.
  • Fix overscroll after notifyDataSetChanged() is called (#70).

v0.4.9.1

  • Change minSdk to 9 (#72).
  • Add read me disclaimer for support only from API 15+.

v0.4.9

  • Fix jumpy layout when scrolling with header as last item (#67).

Comments